%define		ver	2.0.10
%define		vermin	4
Summary:	Ethernet Bridge Tables
Summary(pl.UTF-8):	Ethernet Bridge Tables - filtrowanie i translacja adresów dla Ethernetu
Name:		ebtables
Version:	%{ver}.%{vermin}
Release:	5
License:	GPL
Group:		Networking/Daemons
Source0:	http://downloads.sourceforge.net/ebtables/%{name}-v%{ver}-%{vermin}.tar.gz
# Source0-md5:	506742a3d44b9925955425a659c1a8d0
Source1:	%{name}.init
Source2:	%{name}-config
Patch0:		ebtables-audit.patch
Patch1:		ebtables-linkfix.patch
Patch2:		ebtables-norootinst.patch
Patch3:     ipv6_netmask_printing_fix.patch
URL:		http://ebtables.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Obsoletes:	iptables-ebtables
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ebtables project is the Linux 2.5.x (and above) Link Layer
firewalling subsystem, a patch for 2.4.x is maintained too. It
delivers for Linux the functionality of Ethernet frame filtering, all
kinds of frame NAT (Network Address Translation) and frame matching.
The ebtables infrastructure is a part of the standard Linux 2.5.x (and
above) kernels.

%description -l pl.UTF-8
Projekt ebtables to podsystem firewallingu na poziomie łącza dla
Linuksa w wersjach 2.5.x i nowszych (dostępna jest też łata do 2.4.x).
Dostarcza dla Linuksa funkcjonalność filtrowania ramek ethernetowych,
wszystkie rodzaje translacji adresów (NAT) dla ramek oraz
dopasowywanie ramek. Infrastruktura ebtables jest częścią
standardowych jąder Linuksa w wersjach 2.5.x i nowszych.

%prep
%setup -q -n %{name}-v%{ver}-%{vermin}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LIBDIR="%{_libdir}/ebtables" \
	BINDIR="%{_sbindir}" \
	MANDIR="%{_mandir}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/sysconfig,/etc/rc.d/init.d,%{_sysconfdir}} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_libdir}/ebtables,%{_mandir}/man8}

install ebtables{,-restore}	$RPM_BUILD_ROOT%{_sbindir}
install ethertypes		$RPM_BUILD_ROOT%{_sysconfdir}
install ebtables.8		$RPM_BUILD_ROOT%{_mandir}/man8
install extensions/*.so	*.so	$RPM_BUILD_ROOT%{_libdir}/ebtables
install ebtables-save		$RPM_BUILD_ROOT%{_sbindir}
%{__sed} -i -e "s|__EXEC_PATH__|%{_sbindir}|g" $RPM_BUILD_ROOT%{_sbindir}/ebtables-save

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ebtables
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ebtables-config

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ebtables

%preun
if [ $1 -eq 0 ]; then
	%service ebtables stop
	/sbin/chkconfig --del ebtables
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL THANKS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ethertypes
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ebtables-config
%attr(754,root,root) /etc/rc.d/init.d/ebtables
%attr(755,root,root) %{_sbindir}/ebtables*
%dir %{_libdir}/ebtables
%attr(755,root,root) %{_libdir}/ebtables/libebt*.so
%{_mandir}/man8/ebtables.8*
%changelog
* Wed Mar 18 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ebtables.git;a=log;h=auto/th/ebtables-2.0.10.4-5

* Mon Jul 03 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 2b08384
- Back to Th

* Tue Apr 15 2014 Mariusz Mazur <mmazur@pld-linux.org> 85a4631
- Yikes, upstream found a bug in my patch; rel 4

* Fri Apr 11 2014 Mariusz Mazur <mmazur@axeos.com> ac0f351
- rel 3; enhance ipv6 netmask printing

* Sun Dec 08 2013 Jan Rękorajski <baggins@pld-linux.org> d02f79f
- package missing dir
- removed bogus todo
- rel 2

* Sun Dec 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3b11dff
- cleaned up package versionning
- added patches from fedora
- cleaned up initscripts

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> 8878b89
- different source URL

* Fri Nov 02 2012 Jacek Konieczny <j.konieczny@eggsoft.pl> b702bff
- Version: 2.0.10 -4

* Mon Apr 05 2010 Tomasz Pala <gotar@pld-linux.org> 14cb3e0
- upgraded to 2.0.9-2; moved the rest of libs to %_libdir

* Sat Dec 19 2009 Tomasz Pala <gotar@pld-linux.org> f46b964
- upgraded to v2.0.9-1; release 1,
- moved libebtc.so to %_libdir, use CFLAGS, shorter directory preparation,
  verbose file listing

* Fri Feb 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ee8c1a7
- release 2

* Wed Oct 17 2007 zbyniu <zbyniu@pld-linux.org> a3a7127
- up to 2.0.8-2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c15a9ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ecac19a
- converted to UTF-8

* Tue Dec 19 2006 Elan Ruusamäe <glen@pld-linux.org> 7dfef2e
- relup friendly release
- use %service, deps
- unify, adapter

* Tue Dec 19 2006 shadzik <shadzik@pld-linux.org> b072251
- no longer needed

* Tue Dec 19 2006 shadzik <shadzik@pld-linux.org> d491387
- 2.0.8-rc3
- patch0 no longer needed (already upstream)

* Tue Dec 19 2006 shadzik <shadzik@pld-linux.org> 9f11835
- better handlig of rc-versions

* Fri Jul 28 2006 darekr <darekr@pld-linux.org> b8bbfb8
- fix perms for init script

* Mon Jul 24 2006 Jakub Bogusz <qboosh@pld-linux.org> ee92789
- macros usage, config() flags, .so perms

* Mon Jul 24 2006 mguevara <mguevara@pld-linux.org> 91ae9d3
- 2.0.8-0.rc2.1 (aka 2.0.8 rc2) update

